package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPrdRecordItemMapper;
import com.ruoyi.project.production.domain.TPrdRecordItem;
import com.ruoyi.project.production.service.ITPrdRecordItemService;

/**
 * 生产记录详情Service业务层处理
 *
 * @author ssy
 * @date 2024-10-10
 */
@Service
public class TPrdRecordItemServiceImpl implements ITPrdRecordItemService
{
    @Autowired
    private TPrdRecordItemMapper tPrdRecordItemMapper;

    /**
     * 查询生产记录详情
     *
     * @param id 生产记录详情ID
     * @return 生产记录详情
     */
    @Override
    public TPrdRecordItem selectTPrdRecordItemById(Long id)
    {
        return tPrdRecordItemMapper.selectTPrdRecordItemById(id);
    }

    /**
     * 查询生产记录详情列表
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 生产记录详情
     */
    @Override
    public List<TPrdRecordItem> selectTPrdRecordItemList(TPrdRecordItem tPrdRecordItem)
    {
        return tPrdRecordItemMapper.selectTPrdRecordItemList(tPrdRecordItem);
    }

    /**
     * 新增生产记录详情
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 结果
     */
    @Override
    public int insertTPrdRecordItem(TPrdRecordItem tPrdRecordItem)
    {
        return tPrdRecordItemMapper.insertTPrdRecordItem(tPrdRecordItem);
    }

    /**
     * 修改生产记录详情
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 结果
     */
    @Override
    public int updateTPrdRecordItem(TPrdRecordItem tPrdRecordItem)
    {
        return tPrdRecordItemMapper.updateTPrdRecordItem(tPrdRecordItem);
    }

    /**
     * 批量删除生产记录详情
     *
     * @param ids 需要删除的生产记录详情ID
     * @return 结果
     */
    @Override
    public int deleteTPrdRecordItemByIds(Long[] ids)
    {
        return tPrdRecordItemMapper.deleteTPrdRecordItemByIds(ids);
    }

    /**
     * 删除生产记录详情信息
     *
     * @param id 生产记录详情ID
     * @return 结果
     */
    @Override
    public int deleteTPrdRecordItemById(Long id)
    {
        return tPrdRecordItemMapper.deleteTPrdRecordItemById(id);
    }
}
